Rated 5/5 based on 240179 internet user reviews

Đến nội dung


Hình ảnh
- - - - -

Xin hỏi về lệnh Fillet trong cad


  • Please log in to reply
3 replies to this topic

#1 47c1

47c1

    biết vẽ ellipse

  • Members
  • PipPip
  • 56 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 22 October 2010 - 09:36 AM

Em xin hỏi khi dùng lệnh F thì màu sắc và tính chất là theo đường dài hơn.
Vậy muốn F mà tính chất của đường cuối cùng giống như của đường mà mình muốn chọn có cách nào ko ạ?
Ví dụ em rất muốn có cùng tính chất với đường được chọn trước.
  • 0

#2 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 694 (tốt)

Đã gửi 22 October 2010 - 09:47 AM

Em xin hỏi khi dùng lệnh F thì màu sắc và tính chất là theo đường dài hơn.
Vậy muốn F mà tính chất của đường cuối cùng giống như của đường mà mình muốn chọn có cách nào ko ạ?
Ví dụ em rất muốn có cùng tính chất với đường được chọn trước.

Bạn hỏi câu hỏi mà chính cad nó đã mặc định như vậy. Bạn đọc trong tài liệu nào mà khi fillet thì lấy thuộc tính của đối tượng dài hơn vậy.
  • 0
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#3 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5419 Bài viết
Điểm đánh giá: 2485 (tuyệt vời)

Đã gửi 22 October 2010 - 10:16 AM

Tạm thời thì bạn dùng lệnh FL này để thay thế cho Fillet của Cad nhé :lol: .Sau khi fillet,đối tượng sau sẽ lấy layer đối tượng trước.Chứ còn mặc định thì sau khi fillet,các thuộc tính của đối tượng vẫn giữ nguyên thì phải :lol:


;;;CadViet ^^
(defun flerr (s)
(if (not (member s '("console break" "Function cancelled")))
(princ (strcat "\nError: " s "\nResetting Variables."))
)
(setvar "filletrad" FROLD)
(setvar "cmdecho" 1)
(setq *error* oldflerr)
(princ)
)

(defun c:FL (/ ET1 ET2 ET3 LA1 LA2)
(setq oldflerr *error* *error* flerr)
(setvar "cmdecho" 0)
(setq FROLD (getvar "filletrad"))
(if (= #RAD nil)
(or
(setq #RAD (getdist "\nSet Fillet Radius <0>: "))
(setq #RAD 0)
)
(progn
(setq #RAD2 #RAD)
(or
(setq #RAD (getdist (strcat "\nSet Fillet Radius <" (rtos #RAD) ">: ")))
(setq #RAD #RAD2)
)
)
)
(setvar "filletrad" #RAD)
(while (= ET3 nil)
(setq ET1 (entsel "\nSelect First entity on layer you want to use: "))
(while (= ET1 nil)
(setq ET1 (entsel "\nMissed. [ESC to Quit] - First entity: "))
)
(setq LA1 (cdr (assoc 8 (entget (car ET1)))))
(setq ET2 (entsel "\nSecond entity: "))
(while (= ET2 nil)
(setq ET2 (entsel "\nMissed. [ESC to Quit] - Second entity: "))
)
(setq LA2 (cdr (assoc 8 (entget (car ET2)))))
(if (/= LA1 LA2)
(command "change" ET2 "" "p" "la" LA1 "")
)
(command "fillet" ET1 ET2)
(setq ET1 nil ET2 nil)
(redraw)
)
(setvar "filletrad" FROLD)
(setvar "cmdecho" 1)
(setq *error* oldflerr)
(princ)
)

  • 0

Thành viên nhóm CadMagic.

Mời bạn ghé thăm facebook nhóm  :

CAD MAGIC


#4 oizdoi_oi

oizdoi_oi

    biết dimlinear

  • Members
  • PipPipPipPipPip
  • 306 Bài viết
Điểm đánh giá: 449 (tốt)

Đã gửi 22 October 2010 - 10:19 AM

Em xin hỏi khi dùng lệnh F thì màu sắc và tính chất là theo đường dài hơn.
Vậy muốn F mà tính chất của đường cuối cùng giống như của đường mà mình muốn chọn có cách nào ko ạ?
Ví dụ em rất muốn có cùng tính chất với đường được chọn trước.

bạn cho đường ngắn là Pline còn đường dài là line thì nó sẽ theo đường ngắn mà bạn chọn(bất kể bạn chọn Fi đối tượng nào trước)
hoặc khi bạn muốn F nhiều đối tượng mà muốn đối tượng cuối cùng giống như đối tượng đầu bạn chọn thì bạn cũng làm như thế
tức là đối tượng đầu là PLine cứ thế Fi cho đến hết thì nó sẽ theo đt đầu tiên
  • 1
KTS không bao giờ chết đói...mà chỉ đói đến lúc chết!